> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Scheduled Messages

> Lista todas as mensagens agendadas de uma instância.



## OpenAPI

````yaml openapi-v2 GET /scheduler/list/{instance}
openapi: 3.0.3
info:
  title: ZapThinker API
  version: 2.1.1
servers:
  - url: https://api.zapthinker.com
security: []
paths:
  /scheduler/list/{instance}:
    get:
      tags:
        - Scheduler Controller
      summary: List all scheduled messages
      description: Lista todas as mensagens agendadas de uma instância.
      operationId: listScheduledMessages
      parameters:
        - name: instance
          in: path
          required: true
          description: Nome da instância
          schema:
            type: string
      responses:
        '200':
          description: Lista de agendamentos
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````